petsc-3.7.1 2016-05-15
Report Typos and Errors

# TaoGetSolutionStatus

Get the current iterate, objective value, residual, infeasibility, and termination

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetSolutionStatus(Tao tao, PetscInt *its, PetscReal *f, PetscReal *gnorm, PetscReal *cnorm, PetscReal *xdiff, TaoConvergedReason *reason)

Not Collective Many br

### Input Parameters

tao -the Tao context Many br

### Output Parameters

| iterate | - the current iterate number (>=0) Many br
| f | - the current function value Many br
| gnorm | - the square of the gradient norm, duality gap, or other measure indicating distance from optimality. Many br
| cnorm | - the infeasibility of the current solution with regard to the constraints. Many br
| xdiff | - the step length or trust region radius of the most recent iterate. Many br
| reason | - The termination reason, which can equal TAO_CONTINUE_ITERATING Many br

Many br

### Note

TAO returns the values set by the solvers in the routine TaoMonitor(). Many br

### Note

If any of the output arguments are set to NULL, no corresponding value will be returned. Many br

### See Also

TaoMonitor(), TaoGetConvergedReason()

Level:intermediate
Location:src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/tao/unconstrained/examples/tutorials/eptorsion2f.F.html
src/tao/bound/examples/tutorials/jbearing2.c.html